Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 2.6.0SynchronousAuth Required

CreateVolumeBackup

CreateVolumeBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • volumeUuidStringRequired

      The UUID of the volume.

    • backupStorageUuidStringRequired

      The UUID of the backup storage.

    • nameStringRequired

      The name of the backup.

    • descriptionString

      Optional. The detailed description of the backup.

    • resourceUuidString

      Optional. Specify a UUID of the backup.

    • volumeReadBandwidthLong

      Optional. The maximum speed at which data from the volume is read.

    • volumeWriteBandwidthLong

      Optional. The maximum speed at which data is written to the volume.

    • networkReadBandwidthLong

      Optional. The network bandwidth for data reads.

    • networkWriteBandwidthLong

      Optional. The network bandwidth for data writes.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVolumeBackupInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the volume backup.

    • volumeUuidStringRequired

      The UUID of the volume.

    • nameStringRequired

      The name of the volume backup.

    • descriptionStringRequired

      The detailed description of the backup.

    • typeStringRequired

      The type of the volume.

    • stateStringRequired

      The status of the backup.

    • statusStringRequired

      The availability status of the backup.

    • sizeLongRequired

      The size of the backup.

    • metadataStringRequired

      The metadata of the backup.

    • createDateTimestampRequired

      The time when the backup was created.

    • lastOpDateTimestampRequired

      The time when the backup was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • volumeBackupUuidStringRequired

        The UUID of the volume backup.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        The storage path of the backup.

      • statusStringRequired

        The status of the backup in the backup storage.

      • createDateTimestampRequired

        The time when the backup was created.

      • lastOpDateTimestampRequired

        The time when the backup was last modified.

Endpoint

POST/zstack/v1/volumes/{volumeUuid}/volume-backups

/zstack/v1/volumes/{volumeUuid}/volume-backups

Operation ID

CreateVolumeBackup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/volumes/{volumeUuid}/volume-backups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"volumeUuid":"<volumeUuid>","backupStorageUuid":"<backupStorageUuid>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","volumeReadBandwidth":1,"volumeWriteBandwidth":1,"networkReadBandwidth":1,"networkWriteBandwidth":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "6bd6608ecda63747b2471a02b42704d6", "volumeUuid": "1a0c6b2ca31a3b40b2c06a0f2ecb0849", "name": "Backup-1", "description": "volume backup", "size": 1.073741824E9, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history